=== debian/changelog ===
libricohcamerasdk (1.1.0-4) unstable; urgency=medium

  * add postrm/postinst script to remove bad link
    (Closes: #1035795)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 18 May 2023 11:30:36 +0200

libricohcamerasdk (1.1.0-3) unstable; urgency=medium

  * manual build on: amd64 armhf
  * debian/control: limit all binary packages to certain architectures

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 18 May 2022 23:30:36 +0200

libricohcamerasdk (1.1.0-2) unstable; urgency=medium

  * manual build on all architectures
  * debian/control: move to debian-astro
  * debian/control: update description

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 23 Jan 2022 10:30:36 +0100

libricohcamerasdk (1.1.0-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Dec 2021 10:30:07 +0200
