=== debian/control ===
Source: libricohcamerasdk
Section: non-free/libs
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libricohcamerasdk
Vcs-Git: https://salsa.debian.org/debian-astro-team/libricohcamerasdk.git

Package: libricohcamerasdk-dev
Section: non-free/libdevel
Architecture: amd64 armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libricohcamerasdk (= ${binary:Version})
Description: library for Ricoh cameras - development files
 This package contains libraries to use Ricoh cameras.
 Particularly Pentax cameras in PTP mode can be controlled with
 the corresponding INDI driver.
 .
 This package contains development files.

Package: libricohcamerasdk
Architecture: amd64 armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for Ricoh cameras
 This package contains libraries to use Ricoh cameras.
 Particularly Pentax cameras in PTP mode can be controlled with
 the corresponding INDI driver.
 .
 This package contains the library.
